@import "@/styles/variables";

.data-card {
    grid-column: 1 / -1;
    display: grid;
    row-gap: 1.5rem;
    grid-template-rows: max-content max-content;
    padding: 0 0 1.5rem !important;
    border-radius: 1rem;
    background-color: $gray-200 !important;

    @include tablet {
        grid-column: span 6;
    }

    @include notebook {
        grid-column: span 4;
    }

    &:hover {
        box-shadow: 4px 4px 20px 0 $gray-500;
    }

    &__image-frame {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
        aspect-ratio: 2.2;
        position: relative;

        img {
            border-radius: 1rem 1rem 0 0;
            object-fit: cover;
            object-position: top;
        }
    }

    &__button-area {
        display: flex;
        gap: 0.5rem;
        flex-wrap: nowrap;
        justify-content: space-between;
        align-items: center;
    }

    &__chip-area {
        width: calc(100% - 1.75rem);
        display: flex;
        flex-wrap: wrap;
        gap: 0.5rem;
        align-items: center;
    }

    &__actions {
        display: flex;
        gap: 0.25rem;
        justify-content: flex-end;
        align-items: center;
        place-self: flex-start;
    }

    &__text {
        padding: 0 1.5rem;
        display: grid;
        row-gap: 0.75rem;
        grid-template-rows: auto max-content;
    }

    &__paragraph {
        color: $gray-700;
        overflow: hidden;
        text-overflow: ellipsis;
        display: -webkit-box;
        -webkit-line-clamp: 3;
        -webkit-box-orient: vertical;
    }
}
